Description

Reference: https://www.servoy.com/forum/viewtopic.php?p=97439

iReport v4.6.0
Jasper Plugin v4.0.0.b1
Servoy v6.1

I am having the exact same problem as reported on the Servoy forum (see link above). The servoy.properties file contains a path to
the reports folder but when running a Jasper report, the following message appears:

"Your jasper.report.directory setting has not been set. Report running will abort."

| also have been using the same iReport and JasperReport plugin with Servoy 6.0 and do not had this problems. So, | do not know if
this problem is with Servoy or with the JasperReport plugin and thought this would be a good place to start.

History

#1 - 07/19/2012 04:14 PM - Tom Parry

| did a test using Servoy 6.1 and this latest plugin.

In the client the code:

var rep_dir = plugins.jasperPluginRM|.relativeReportsDirectory

returns an empty string.

This is to be expected because there is nothing after the absolute path that was set in the admin page.
My admin page setting is:

E:/Servoy_61/application_server/iReports

But my reports are actually in:
E:/Servoy_61/application_server/iReports/crir

So | then do in the client:
plugins.jasperPluginRMl.relativeReportsDirectory = 'crir'

Now the plugin will find the report that | placed in the sub-folder 'crir' and runs properly.

Does this help?

#2 - 07/20/2012 02:10 AM - Kim Premuda

- Status changed from New to Feedback

Hi, Tom.

Thank you for your suggestions and quick repsonse...unfortunately, your suggestions did not help.

| have two projects that | am developing on the same computer. One project uses Servoy 6.0.7 with Sybase 11 while the other project uses Servoy
6.1 with MSSQL EXPRESS 2008. Each version of Servoy Developer is installed in its own folder having a unique workspace folder as well.

While testing your suggestions, | noticed that when | look at the application server admin page, it shows version 6.0.4!

| ran the servoy_server.bat in the 6.0.7 folder (with and without the -upgradeRepository flag) and it did nothing. | then did the same thing in the 6.1
folder, it ran but failed with an error stating that the IP address and/or port were already in use.

| believe something is really hosed on my computer, and | will end up having to reinstall both Servoy versions again.
Thanks for trying to help...I really appreciate it!

#3 - 07/20/2012 01:07 PM - Harjo Kompagnie

if you run two version of developers at the same time, you have to change the tomcat port of one them.

#4 - 07/20/2012 06:22 PM - Kim Premuda

Thanks, Harjo...l did read about the need for differing port numbers in the Wiki yesterday. | will give it a try and post back if that does not solve my
problem.

Project Leaders: please remove/downgrade the status of this post (I couldn't figure out how to do it) as this is looking to be my problem.
#5 - 07/23/2012 08:31 AM - Andrei Costache

- Status changed from Feedback to Rejected

- Assignee set to Andrei Costache
Hi Kim,

| changed the status of the issue: marking it as not related to the plugin.
If this turns out to be a problem with the plugin please reopen or create a new issue.

Regards,
Andrei
